<?php
// Copyright 1999-2024. Plesk International GmbH. All rights reserved.
$messages = [
    'problem-detail.nginx-upstream-sent-too-big-header.name' => 'Nginx "502 Bad Gateway: upstream sent too big header while reading response header"',
    'problem-detail.nginx-upstream-sent-too-big-header.description' => 'Valmistuu pian.',
    'problem-detail.nginx-upstream-sent-too-big-header.cause' => '',
    'problem-detail.nginx-upstream-sent-too-big-header.solution1.title' => '',
    'problem-detail.nginx-upstream-sent-too-big-header.solution1.text' => '',
    'problem-detail.apache-followsymlinks-not-allowed.name' => 'Apache "500 Internal Server Error: Option FollowSymLinks not allowed here"',
    'problem-detail.apache-followsymlinks-not-allowed.description' => 'Valmistuu pian.',
    'problem-detail.apache-followsymlinks-not-allowed.cause' => '',
    'problem-detail.phpfpm-server-reached-max-children.name' => 'PHP-FPM "server reached max_children setting"',
    'problem-detail.phpfpm-server-reached-max-children.description' => '<h4>Symptoms</h4><ul><li><p>Websites that have PHP handler set as <strong>FPM application served by Apache</strong> or <strong>FPM application served by nginx</strong> at <strong>Domains</strong> &gt; <strong>example.com</strong> &gt; <strong>PHP Settings</strong> experience one of the following issues:</p><ul><li><p>load slowly</p></li><li><p>not accessible (permanently or periodically) with a 50x error in a web-browser:</p><pre>502 Bad Gateway</pre><hr><pre>503 Service Temporarily Unavailable</pre><hr><pre>504 Gateway Time-out</pre></li></ul></li><li><p>The following message appears in the PHP-FPM error logfile <code>/var/log/plesk-php<strong>XX</strong>-fpm/error.log</code> (where <em>XX</em> is a PHP version used by the websites):</p><pre>WARNING: [pool example.com] server reached max_children setting (*), consider raising it</pre><ul><li><p>The message above is usually accompanied with this error:</p><pre>unable to read what child say: Bad file descriptor (9)</pre></li></ul></li><li><p>If nginx is enabled on the server, one of the following error messages may appear in domain\'s error logfile <code>/var/www/vhosts/system/example.com/logs/proxy_error_log</code>:</p><pre style="white-space: pre-wrap;">[error] 11456#0: *118348 connect() to unix:///var/www/vhosts/system/example.com/php-fpm.sock failed (11: Resource temporarily unavailable) while connecting to upstream, client: 203.0.113.2, server: example.com, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:///var/www/vhosts/system/example.com/php-fpm.sock:", host: "example.com"</pre><hr><pre style="white-space: pre-wrap;">[error] 20058#0: *4725139 upstream prematurely closed connection while reading response header from upstream, client: 203.0.113.2, server: example.com, request: "POST /path/to/some/file HTTP/2.0", upstream:</pre></li></ul>',
    'problem-detail.phpfpm-server-reached-max-children.cause' => ' <p>The PHP-FPM <code>pm.max_children</code> has been reached by the website(s).</p>',
    'problem-detail.phpfpm-server-reached-max-children.solution1.title' => 'Kasvata pm.max_children -rajaa',
    'problem-detail.phpfpm-server-reached-max-children.solution1.text' => '<p>Increase the <code>pm.max_children</code> limit for the affected domains:</p><ol><li><p>Connect to the Plesk server via <a href="https://support.plesk.com/hc/en-us/articles/12377512781975" target="_blank" rel="noopener">SSH</a>.</p></li><li><p>Find affected domains using the command below:</p><div class="pul-alert pul-alert--info pul-status-message pul-status-message--info"><span class="pul-icon pul-status-message__icon"><svg focusable="false"><use href="/ui-library/images/symbols.svg?6bd5879cb9a032639fb375ff6f1dcd26#info-circle-filled:16"></use></svg></span><strong>Note:</strong> The number on the left indicates how many times the <code>pm.max_children</code> limit has been reached by the website.</div><pre style="white-space: pre-wrap;"># grep -r "server reached max_children setting" /var/log/*php*-fpm/error.log | cut -d\' \' -f5 | tr -d \']\' | sort | uniq -c | sort -nr<br><br>100 example.com<br>50 example.net<br>25 example.org<br>&lt;...&gt;</pre></li><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377667582743" target="_blank" rel="noopener">Log in to Plesk</a>.</p></li><li><p>Go to <strong>Domains</strong> &gt; <strong>example.com</strong> &gt; <strong>PHP Settings</strong> &gt; <strong>PHP-FPM Settings</strong>.</p></li><li><p>Increase the <code>pm.max_children</code> value for the domain and apply the changes. Increase this value for all domains listed in step 2.</p></li></ol>',
    'problem-detail.nginx-too-many-open-files.name' => 'Nginx "Too many open files"',
    'problem-detail.nginx-too-many-open-files.description' => '<p>nginx fails to start/reload on a Plesk server: Too many open files</p><h4>Symptoms</h4><ul><li><p>The nginx service fails to start/reload with the following error in the <code>/var/log/nginx/error.log</code> file:</p><pre style="white-space: pre-wrap;">nginx: [emerg] open() "/var/www/vhosts/system/example.com/logs/proxy_access_ssl_log" failed (24: Too many open files)</pre></li><li><p>Some or all websites are not accessible</p></li><li><p>Warning is shown in the <strong>Tools &amp; Settings &gt; Diagnose &amp; repair</strong>:</p><pre style="white-space: pre-wrap;">Checking for nginx ULIMIT value N domains have been found on server. Problem with nginx default limit for open files is possible</pre></li><li><p>NodeJS and Ruby web applications are showing 502 Bad Gateway error when performing some Plesk tasks such as creating domains, subscriptions, changes on Apache or Nginx, etc:</p><pre style="white-space: pre-wrap;">Server Error<br>502 Bad Gateway <br>Web server received an invalid response while acting as a gateway or proxy server.</pre></li><li><p>After <a href="https://support.plesk.com/hc/en-us/articles/12377676289815-How-to-install-SSL-certificate-for-a-domain-in-Plesk" target="_blank" rel="noopener noreferrer">installing a new certificate for the domain</a>, the old one is still shown in a web browser, however, the correct certificate is selected at the <strong>Domains &gt; example.com &gt; Hosting Settings</strong> page.</p></li></ul>',
    'problem-detail.nginx-too-many-open-files.cause' => '<p>Nginx\'s virtual host opens 4 log files for each virtual host with physical hosting:</p><ul><li>proxy_access_log</li><li>proxy_access_ssl_log</li><li>webmail_access_log</li><li>webmail_access_ssl_log</li></ul><p>As a result of this fact, the maximum number of open files is exceeded by the nginx server due to a big number of domains (usually, more than 100).</p>',
    'problem-detail.nginx-too-many-open-files.solution1.title' => 'Kasvata avoimien tiedostojen rajaa',
    'problem-detail.nginx-too-many-open-files.solution1.text' => '<div class="pul-alert pul-alert--warning pul-status-message pul-status-message--warning"><span class="pul-icon pul-status-message__icon"><svg focusable="false"><use href="/ui-library/images/symbols.svg?6bd5879cb9a032639fb375ff6f1dcd26#info-circle-filled:16"></use></svg></span><strong>Varoitus:</strong> <code>websrv_ulimits</code>-toiminnon suorittaminen ilman <strong>--no-restart</strong> -vaihtoehtoa alustaa verkkomääritystiedostojen uudelleenrakentamisen kaikille toimialueille ja voi aiheuttaa huomattavan seisokkiajan, jos isännöityjä verkkosivustoja on paljon.<br><br>Suorita komento ylläpitojakson aikana.</div><p>On hyvä käytäntö määrittää avointen tiedostojen raja-arvot suuremmaksi kuin <strong>Pleskin toimialueiden määrä * 16</strong>. Alla olevassa esimerkissä raja on 4096:</p><ol><li><p>Yhdistä palvelimeen <a href="https://support.plesk.com/hc/en-us/articles/12377512781975" target="_blank" rel="noopener noreferrer">SSH:n kautta</a></p></li><li><p>Määritä avointen tiedostojen rajaksi 4096 sekä Apachelle että Nginx:lle:</p><pre># /usr/local/psa/admin/sbin/websrv_ulimits --set 4096 --no-restart</pre></li><li><p>Käynnistä Apache- ja nginx-palvelut uudelleen kohdasta <strong><a href="https://support.plesk.com/hc/en-us/articles/12377667582743" target="_blank" rel="noopener noreferrer">Plesk</a> &gt;</strong> <strong>Tools &amp; Settings &gt; Services Management</strong> niin muutokset otetaan käyttöön.</p></li><li><p>Tarkista, että "Max open files limit" on käytössä verkkopalveluiden käynnistyttyä uudellen:</p><pre># grep \'Max open files\' /proc/$(cat /var/run/nginx.pid)/limits<br>Max open files 4096 4096 file</pre></li><li><p>Jos tämä ratkaisu ei auta, määritä raja käyttämällä <code>ulimit</code> -toimintoa:</p><pre># ulimit -n 4096</pre></li></ol>',
    'problem-detail.apache-modsec-response-body-too-large.name' => 'ModSecurity "Response body too large"',
    'problem-detail.apache-modsec-response-body-too-large.description' => 'Valmistuu pian.',
    'problem-detail.apache-modsec-response-body-too-large.cause' => '',
    'problem-detail.modsec-access-denied.name' => 'ModSecurity "Access denied with code 403"',
    'problem-detail.modsec-access-denied.description' => '<h4>Oireet</h4><ul><li><p>ModSecurity on asennettu ja otettu käyttöön <strong>Työkalut & Asetukset > Verkkosovelluksen palomuuri (ModSecurity) > Verkkosovellusten palomuuritila > Päällä</strong>.</p></li><li>Pleskissä hostatun verkkosivuston lataus ei onnistu. Verkkosivustolla ei ole mahdollista suorittaa toimintoja, kuten hallita WordPressiä, käyttää webmailia tai käyttää <code>robots.txt</code> -tiedostoa. Selain voi näyttää jonkin seuraavista virheistä: <pre>ERR_CONNECTION_REFUSED</pre><hr><pre>403 Forbidden</pre><hr><pre>500 Internal Server Error</pre><hr><pre>ERR_CONNECTION_TIMED_OUT</pre></li><li>Alla olevan kaltainen ModSecurity-virheilmoitus tulee näkyviin ikkunassa <code>/var/log/modsec_audit.log</code> lokitiedostossa tai Pleskin Lokit-sivulla (<strong>Domains</strong> &gt; <strong>example.com</strong> &gt; <strong>Logs</strong>): <pre>ModSecurity: Access denied with code 403 (phase 2). Operator GE matched 5 at TX:anomaly_score. [file "/etc/apache2/modsecurity.d/rules/owasp_modsecurity_crs_3-plesk/REQUEST-949-BLOCKING-EVALUATION.conf"] [line "57"] [id "949110"] [msg "Inbound Anomaly Score Exceeded (Total Score: 5)"] [severity "CRITICAL"] [tag "application-multi"] [tag "language-multi"] [tag "platform-multi"] [tag "attack-generic"] [hostname "example.com"] [uri "/robots.txt"] [unique_id "XPsROH8AAQEAABEiZFcAAABC"]</pre></li>',
    'problem-detail.modsec-access-denied.cause' => '<p>ModSecurity Web Application Firewall on käytössä hyvin rajoittavalla sääntökokoelmalla kuten OWASP, Comodo, tai mukautetulla sääntökokoelmalla kuten Imunify360. Rajoittavat sääntökokoelmant voivat estää joitakin toimintoja verkkosivustolla.</p><p><Strong>Note:</strong> ModSecurity-virhe saattaa viitata hyökkäykseen palvelintasi vastaan. Käytä alla olevia ratkaisuja vain, jos olet varma, että ModSecurity estää verkkosivustosi kelvollisen käytön.</p>',
    'problem-detail.modsec-access-denied.solution1.title' => 'Poista ID:n tai tunnisteen perusteella määritetty ModSecurity-sääntö käytöstä',
    'problem-detail.modsec-access-denied.solution1.text' => '<ol><li><p>Hae sen säännön tunnus, joka estää verkkosivustosi laillisen käytön. Löydät tunnukset virheilmoitusten sisältä <code>/var/log/modsec_audit.log</code> -lokitiedostosta. Tunnus on kokonaisluku lainausmerkeissä etuliitteellä<code>id</code> hakasulkeissa, esimerkiksi, <strong>[id "210831"]</strong>.</p></li><li><a href="https://support.plesk.com/hc/en-us/articles/12377453278871" target="_blank" rel="noopener">Poista tietyt sääntökokoelmat Pleskissä</a>.</li></ol>',
    'problem-detail.modsec-access-denied.solution2.title' => 'Siirry toiseen ModSecurity-sääntökokoelmaan',
    'problem-detail.modsec-access-denied.solution2.text' => '<ol><li><p>Vaihda esimerkiksi vähemmän rajoittavaan ModSecurity-sääntökokoelmaan, "Atomic ModSecurity Ruleset". Sitä varten siirry <strong>Työkalut & Asetukset</strong> > <strong>Verkkosovelluksen Palomuuri (ModSecurity)</strong> > <strong>Asetukset</strong>, valitse <strong>Atomic-standardi</strong>, ja klikkaa sitten <strong>OK</strong> hyväksyäksesi muutokset.</p></li></ol>',
    'problem-detail.php-allowed-memory-size-exhausted.name' => 'PHP "Internal Server error 500: Allowed memory size of XXX exhausted"',
    'problem-detail.php-allowed-memory-size-exhausted.description' => '<h4>Oireet</h4><ul><li><p>Pleskissä hostattuun verkkosivustoon ei pääse käsiksi:</p><pre>500 Internal Server Error</pre></li><li><p>Sivuston lokissa näkyy seuraava virhe:</p><pre>Got error "PHP message: PHP Fatal error: Allowed memory size of 4194304 bytes exhausted (tried to allocate 4000032 bytes) in /var/www/vhosts/example.com/httpdocs/somethingBig.php on line 3"</pre></li> </ul>',
    'problem-detail.php-allowed-memory-size-exhausted.cause' => '<p>Verkkosivustolle ei ole varattu riittävästi muistia käsittelyä varten.</p>',
    'problem-detail.php-allowed-memory-size-exhausted.solution1.title' => 'Lisää verkkosivuston memory_limit',
    'problem-detail.php-allowed-memory-size-exhausted.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377510316183" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.php-open-basedir-restriction-in-effect.name' => 'PHP "open_basedir restriction in effect"',
    'problem-detail.php-open-basedir-restriction-in-effect.description' => '<h4>Oireet</h4><ul><li><p>Verkkosivusto ei ole käytettävissä, jos selaimessa on jokin seuraavista virheistä:</p><pre>404 file not found</pre><hr><pre>500 Internal Server Error</pre><hr><pre>Error 500 move_uploaded_file(): open_basedir restriction in effect. File(/path/to/the/directory) is not within the allowed path(s): (/var/www/vhosts/example.com/:/tmp/)</pre></li><li><p>Seuraava virheilmoitus näkyy verkkotunnuksen Lokit-sivulla (<strong>Domains</strong> > <strong>example.com</strong> > <strong>Logs</strong>):</p><pre><...> open_basedir restriction in effect. File(/path/to/the/directory) is not within the allowed path(s) <...></pre><hr><pre>Uncaught Exception: Session: Configured save path "/path/to/the/directory" is not a directory, doesn\'t exist or cannot be created.</pre></li></ul>',
    'problem-detail.php-open-basedir-restriction-in-effect.cause' => 'PHP-skripti yrittää käyttää hakemistoa, jonka käyttö ei ole sallittua. Tämä rajoitus on määritelty PHP <code>open_basedir</code>-direktiivi erikseen jokaiselle verkkotunnukselle. Oletusarvoisesti, <code>open_basedir</code> sallii pääsyn kohteeseen <code>tmp</code> ja toimialueen asiakirjojen juurihakemistoihin sekä järjestelmän oletusistuntojen polkuun.',
    'problem-detail.php-open-basedir-restriction-in-effect.solution1.title' => 'Lisää ylimääräinen polku open_basedir-direktiiviin',
    'problem-detail.php-open-basedir-restriction-in-effect.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377510714135" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.php-open-basedir-restriction-in-effect.solution2.title' => 'Poista open_basedir -direktiivi käytöstä',
    'problem-detail.php-open-basedir-restriction-in-effect.solution2.text' => '<ol><li><p>Siirry <strong>Domainit &gt example.com &gt PHP-asetukset</strong> sivu ja aseta <code>open_basedir</code> direktiiviksi "none".</p></li></ol>',
    'problem-detail.apache-client-denied-by-server.name' => 'Apache .htaccess "403 Forbidden AH01797: client denied by server configuration"',
    'problem-detail.apache-client-denied-by-server.description' => '<h4>Symptoms</h4><ul><li><p>Verkkosivusto näyttää seuraavan kaltaisen virheen:</p><pre>Server Error 403<br>Forbidden</pre></li><li><p>The <code>/var/www/vhosts/system/example.com/logs/error_log</code> lokitiedosto sisältää seuraavan kaltaisia virheitä:</p><pre>AH01797: client denied by server configuration: /var/www/vhosts/example.com/index.php</pre></li></ul>',
    'problem-detail.apache-client-denied-by-server.cause' => '<p>Nykyinen Apache-määritys ei salli pääsyä verkkosivustolle.</p><p>Tiedostojen, kuten .htaccess ja .htpasswd, osalta tämä on odotettua, koska nämä tiedostot eivät saa olla käytettävissä verkkopalvelimen kautta.</p>',
    'problem-detail.apache-client-denied-by-server.solution1.title' => 'Tarkista palvelimen kokoonpano ja .htaccess-tiedostot',
    'problem-detail.apache-client-denied-by-server.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377654829463" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.apache-no-directory-index.name' => 'Apache "Cannot access a website directory in Plesk: 403 Forbidden"',
    'problem-detail.apache-no-directory-index.description' => '<h4>Oireet</h4><ul><li><p>Verkkosivuston tiettyyn sijaintiin ei pääse, esim. <code>http://example.com/some_folder</code>. Tapahtuu seuraava virhe:</p><pre>Server Error 403<br>Forbidden</pre></li><li><p>Seuraava virhe ilmestyy <code>/var/www/vhosts/example.com/logs/error_log<code/> file:</p><pre>[autoindex:error] [pid 16314:tid 140300215322368] [client 203.0.113.2:55714] AH01276: Cannot serve directory /var/www/vhosts/example.com/httpdocs/some_folder/: No matching DirectoryIndex (index.html,index.cgi,index.pl,index.php,index.xhtml,index.htm,index.shtml) found, and server-generated directory index forbidden by Options directive</pre></li></ul>',
    'problem-detail.apache-no-directory-index.cause' => '<p>Pyydetty hakemisto ei sisällä indeksitiedostoja tai hakemistojen selaus ei ole käytössä.</p>',
    'problem-detail.apache-no-directory-index.solution1.title' => 'Lisää indeksitiedosto hakemistoon',
    'problem-detail.apache-no-directory-index.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377654829463" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.apache-no-directory-index.solution2.title' => 'Ota hakemistojen selaus käyttöön',
    'problem-detail.apache-no-directory-index.solution2.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377172809495" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.nginx-no-directory-index.name' => 'Nginx "Cannot access a website directory in Plesk: 403 Forbidden"',
    'problem-detail.nginx-no-directory-index.description' => '<h4>Oireet</h4><ul><li><p>Verkkosivuston tiettyyn sijaintiin ei pääse, esim. <code>http://example.com/some_folder</code>. Tapahtuu seuraava virhe:</p><pre>Server Error 403<br>Forbidden</pre></li><li><p>Seuraava virhe ilmestyy <code>/var/www/vhosts/example.com/logs/error_log file</code>:</p><pre>[autoindex:error] [pid 16314:tid 140300215322368] [client 203.0.113.2:55714] AH01276: Cannot serve directory /var/www/vhosts/example.com/httpdocs/some_folder/: No matching DirectoryIndex (index.html,index.cgi,index.pl,index.php,index.xhtml,index.htm,index.shtml) löydetty, ja palvelimen luoma hakemistoindeksi kielletty Asetukset-direktiivillä</pre></li></ul>',
    'problem-detail.nginx-no-directory-index.cause' => '<p>Pyydetty hakemisto ei sisällä indeksitiedostoja tai hakemistojen selaus ei ole käytössä.</p>',
    'problem-detail.nginx-no-directory-index.solution1.title' => 'Lisää indeksitiedosto hakemistoon',
    'problem-detail.nginx-no-directory-index.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377654829463" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.nginx-no-directory-index.solution2.title' => 'Ota hakemistojen selaus käyttöön',
    'problem-detail.nginx-no-directory-index.solution2.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377172809495" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
    'problem-detail.apache-reached-max-request-workers.name' => 'Apache "server reached MaxRequestWorkers setting"',
    'problem-detail.apache-reached-max-request-workers.description' => 'Valmistuu pian.',
    'problem-detail.apache-reached-max-request-workers.cause' => '',
    'problem-detail.php-post-content-length-exceeds-limit.name' => 'PHP request body limit "client intended to send too large body"',
    'problem-detail.php-post-content-length-exceeds-limit.description' => 'Valmistuu pian.',
    'problem-detail.php-post-content-length-exceeds-limit.cause' => '',
    'problem-detail.nginx-client-sent-too-large-body.name' => 'PHP request body limit "client intended to send too large body"',
    'problem-detail.nginx-client-sent-too-large-body.description' => 'Valmistuu pian.',
    'problem-detail.nginx-client-sent-too-large-body.cause' => '',
    'problem-detail.php-failed-to-read-session-data.name' => 'PHP sessions "503 Internal Server Error" or "Failed to read session data"',
    'problem-detail.php-failed-to-read-session-data.description' => 'Valmistuu pian.',
    'problem-detail.php-failed-to-read-session-data.cause' => '',
    'problem-detail.apache-unable-to-check-htaccess-file.name' => 'Apache .htaccess "403 Forbidden: pcfg_openfile: unable to check htaccess file, ensure it is readable"',
    'problem-detail.apache-unable-to-check-htaccess-file.description' => '<h4>Oireet</h4><ul><li><p>Pleskissä hostattu verkkosivusto ei toimi:</p><pre>Sinulla ei ole oikeuksia käyttää / tällä palvelimella. <br> Lisäksi 403 Forbidden -virhe havaittiin, kun yritettiin käyttää ErrorDocumentia pyynnön käsittelyyn.</pre><p>Edellä mainitun virheen sijasta näet myös tyhjän sivun.</p></li><li><p>Toimialueen virheloki <strong>Domains &gt example.com &gt Logs</strong> sisältää seuraavaa:</p><pre>(13)Lupa hylätty: [client 203.0.113.2:39024] AH00529: /var/www/vhosts/example.com/httpdocs/.htaccess pcfg_openfile: ei pysty tarkistamaan htaccess-tiedostoa, varmista, että se on luettavissa ja että "/var/www/vhosts/example.com/httpdocs/" on suoritettavissa</pre></li></ul>',
    'problem-detail.apache-unable-to-check-htaccess-file.cause' => 'Toimialueen tiedostojen tai kansioiden väärät käyttöoikeudet.',
    'problem-detail.apache-unable-to-check-htaccess-file.solution1.title' => 'Korjaa verkkosivuston sisällön käyttöoikeudet',
    'problem-detail.apache-unable-to-check-htaccess-file.solution1.text' => '<ol><li><p><a href="https://support.plesk.com/hc/en-us/articles/12377773681815" target="_blank" rel="noopener">Lue KB-artikkeli ja noudata ohjeita</a>.</p></li></ol>',
];