<?php
// Copyright 1999-2024. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Verificação do registo do website',

    'regularCheck' => 'Verificação automática',
    'manualCheck' => 'Verificação manual',

    'promoTitle' => 'Deteção rápida de indisponibilidade ou funcionamento incorreto dos seus websites',
    'promoDescription' => 'Os problemas costumam ser visíveis para os visitantes mas não para os administradores, a não ser que analizem constantemente os registos do website. A nossa nova Verificação dos Registos do Website automatiza esta ação e ajuda a resolver os problemas encontrados de forma eficiente.',
    'promoMore' => 'Saber mais',
    'promoButton' => 'Percebi!',
    'checkEnabledTitle' => 'Verificação automática está ativa',
    'checkDisabledTitle' => 'Verificação automática está inativa',
    'disabledDescription' => 'Ative para detetar automaticamente problemas que possam tornar websites inacessíveis ou provocar o seu funcionamento incorreto.',
    'websitesAllChecked' => '{count, plural, one {# website é} other {# websites são}} verificados diariamente',
    'websitesAllCheckedAt' => '{count, plural, one {# website é} other {# websites são}} verificados diariamente às %%time%%',
    'websitesChecked' => '%%count%% de %%totalCount%% websites são verificados diariamente',
    'websitesCheckedAt' => '%%count%% de %%totalCount%% websites são verificados diariamente às %%time%%',
    'checkedWebsites' => 'Lista de websites verificados',
    'lastCheckDescription' => 'A última verificação demorou %%duration%% minutos.',
    'durationLess' => 'menos de 0,1',
    'month0' => '%%date%% jan',
    'month1' => '%%date%% fev',
    'month2' => '%%date%% mar',
    'month3' => '%%date%% abr',
    'month4' => '%%date%% mai',
    'month5' => '%%date%% jun',
    'month6' => '%%date%% jul',
    'month7' => '%%date%% ago',
    'month8' => '%%date%% set',
    'month9' => '%%date%% out',
    'month10' => '%%date%% nov',
    'month11' => '%%date%% dez',
    'export' => 'Exportar o relatório para CSV',
    'buttonRun' => 'Efetuar verificação manual',
    'buttonRunDescription' => 'Para voltar a verificar websites ou encontrar problemas que não tenham sido detetados durante a última verificação.',

    'websites.title' => 'Websites a verificar',
    'websites.description' => 'Selecionou %%selected%% de %%total%% websites',
    'websites.search' => 'Encontrar websites...',
    'websites.new' => 'Todos os websites recém-criados',
    'websites.newHint' => 'Selecione para começar a verificar automaticamente todos os novos websites.',
    'websites.existing' => 'Todos os websites existentes',
    'websites.buttonSave' => 'Gravar',
    'websites.buttonCancel' => 'Cancelar',
    'websites.updateSuccess' => 'As definições foram atualizadas',

    'tabs.problemDetails' => 'Detalhes do problema',
    'tabs.affectedWebsites' => 'Websites afetados',

    'chart.requests' => 'Pedidos',
    'chart.errors' => 'Erros',

    'affected-websites.selected' => 'Selecionou %%selectedCount%% de %%totalCount%% websites',
    'affected-websites.none' => 'Nenhum',
    'affected-websites.all' => 'Tudo',
    'affected-websites.searchForWebsite' => 'Procurar websites',
    'affected-websites.websites' => 'Sites',
    'affected-websites.showProblemDetails' => 'Mostrar detalhes do problema',

    'problem-report.domainTitle' => 'Problema comunicado em %%domain%%',
    'problem-report.cumulativeTitle' => 'Problema comunicado em {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Problema comunicado em todo o servidor',
    'problem-report.problemAppearsOn' => 'Problema surge ao todo em {count, plural, one {# website} other {# websites}}',
    'problem-report.seeTheConsolidatedReport' => 'Ver o relatório consolidado',
    'problem-report.cause' => 'Causa raiz',
    'problem-report.possibleSolutions' => 'Soluções possíveis',
    'problem-report.useAnOption' => 'Utilizar uma opção para resolução automática',
    'problem-report.repairTheWebsite' => 'Reparar o website',
    'problem-report.selectAndRepair' => 'Selecionar e reparar vários websites',
    'problem-report.distributionOfTheProblem' => 'Distribuição do problema ao longo do tempo',
    'problem-report.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'O seu fuso horário (UTC%%utcShift%%)',
    'problem-report.logEntries' => 'Exemplos de entradas do registo que indicam o problema',
    'problem-report.pleaseKeepInMind' => 'Atenção: o Plesk roda constantemente os registos e eventualmente arquiva ou apaga as entradas do registo mencionadas.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%% — recomendamos para após cada tentativa de correção.',
    'problem-report.recheckWebsite' => 'Voltar a verificar website manualmente',
    'problem-report.option' => 'Opção %%number%%:',
    'problem-report.recommended' => 'recomendado',
    'problem-report.numberOfEntries' => 'Número de entradas',
    'problem-report.logEntry' => 'Entrada do registo',
    'problem-report.logFile' => 'Ficheiro de registo',
    'problem-report.openWebsiteLogs' => 'Abrir registos do website',
    'problem-report.thisIsServerWideProblem' => 'Este é um problema em todo o servidor que afeta todos os websites alojados',
    'problem-report.serverWideTitle' => 'Problema comunicado em todo o servidor',
    'problem-report.checkDetectedIssue' => 'O problema ja fora detetado (fuso horário do servidor - UTC%%timezone%%):',
    'problem-report.todayAt' => 'hoje às %%time%%',
    'problem-report.yesterdayAt' => 'ontem às %%time%%',
    'problem-report.dateAt' => '%%date%% às %%time%%',
    'problem-report.firstProblemTime' => 'Primeira vez - %%info%%',
    'problem-report.lastProblemTime' => 'Última vez - %%info%%',

    'distribution-over-time.title' => 'Distribuição do problema ao longo do tempo',
    'distribution-over-time.titleYesterday' => 'Distribuição do problema ao longo do tempo (Ontem)',
    'distribution-over-time.titleToday' => 'Distribuição do problema ao longo do tempo (Hoje)',
    'distribution-over-time.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'O seu fuso horário (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'Recomendamos que compre o gráfico de distribuição dos erros com %%link%% na Monitorização',
    'distribution-over-time.resourceUsageCharts' => 'Gráficos de utilização de recursos',
    'distribution-over-time.noDataForRecentTime' => 'Sem dados acerca de horas recentes. %%suggestion%%',
    'distribution-over-time.pleseEnableRegularCheck' => 'Ativar a verificação automática ou verificar o website manualmente',
    'distribution-over-time.pleseIncludeWebsiteForCheck' => 'Adicionar o website à lista dos websites verificados automaticamente ou verificar o website manualmente',
    'distribution-over-time.pleaseWaitUntilRegularCheckWillBeStarted' => 'Esperar até a verificação do website começar ou verificar o website manualmente',
    'distribution-over-time.enableRegularCheck' => 'Ativar verificação automática',
    'distribution-over-time.addWebsiteToRegularCheckList' => 'Adicionar o website à lista de websites verificados automaticamente',
    'distribution-over-time.runManualCheck' => 'Efetuar verificação manual',

    'report.title' => 'Relatório sobre a última verificação',
    'report.groupByWebsites' => 'Agrupado por websites',
    'report.groupByProblems' => 'Por problemas',
    'report.columnWebsite' => 'Página web',
    'report.columnStatus' => 'Problemas',
    'report.columnProblem' => 'Problemas',
    'report.columnAppearedOn' => 'Detetado em',
    'report.serverWideName' => 'Problemas em todo o servidor',
    'report.serverWideDescription' => 'Estes problemas afetam todo o servidor e os websites nele alojados.',
    'report.statusProblemsFound' => '%%count%% encontrados',
    'report.statusProblemsFoundFull' => '{count, plural, one {# problema} other {# problemas}} encontrado(s)',
    'report.statusProblemsSolved' => '%%count%% desapareceram',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# problema desapareceu} other {# problemas desapareceram}}',
    'report.statusSuccess' => 'Sem problemas',
    'report.serverWide' => 'Todo o servidor',
    'report.appearedOn' => '{count, plural, one {# website} other {# websites}}',
    'report.recheckWebsite' => 'Voltar a verificar website',
    'report.actionOpen' => 'Aberto',
    'report.actionManage' => 'Gerir',
    'report.actionLogs' => 'Visualizar logs',
    'report.searchWebsite' => 'Encontrar websites...',
    'report.searchProblem' => 'Procurar problemas...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# problema} other {# problemas}} em {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'Não foram encontrados problemas em {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Parece que mantém os seus websites em boa forma. Parabéns!',

    'problems.columnTitle' => 'Problema',
    'problems.columnRegular' => 'Verificação automática',
    'problems.columnManual' => 'Verificação manual',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% às %%toDate%%',
    'problems.notRun' => 'ainda não foi executado',
    'problems.resultDetected' => 'Detetado',
    'problems.resultNotDetected' => 'Não detetado',
    'problems.resultNoProblems' => 'Sem problemas',

    'new-check.title' => 'Verificação manual',
    'new-check.titleForWebsite' => 'Verificação manual de %%website%%',
    'new-check.titleRunning' => 'Verificação manual de {count, plural, one {# website} other {# websites}}',
    'new-check.description' => 'Selecionou %%selected%% de %%total%% websites',
    'new-check.depth' => 'Período de verificação',
    'new-check.checkTheLast' => 'Verificar o último',
    'new-check.selectHours' => 'Horas',
    'new-check.selectMinutes' => 'Minutos',
    'new-check.ifYouHaveAnyProblemActivities' => 'Se tentar corrigir os problemas do website, defina o período de tempo após esta tentativa. Caso contrário, o Plesk pode detetar problemas que já tenha sido resolvidos.',
    'new-check.weAlsoRecommendVisiting' => 'Antes de efetuar uma verificação manual, recomendamos %%visitingTheWebsite%% e tentar reproduzir o problema.',
    'new-check.visitingTheWebsite' => 'visitar o website',
    'new-check.hours' => 'últimas horas',
    'new-check.websites' => 'Websites a verificar',
    'new-check.buttonSave' => 'Verificar',
    'new-check.buttonCancel' => 'Cancelar',
    'new-check.search' => 'Encontrar websites...',
    'new-check.checkProblems' => 'Websites com problemas durante a última verificação',
    'new-check.allWebsites' => 'Todos os websites',
];