<?php
// Copyright 1999-2024. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => '网站日志检查',

    'regularCheck' => '自动检查',
    'manualCheck' => '手动检查',

    'promoTitle' => '快速检测网站存在的不可用或不正常运行的地方',
    'promoDescription' => '网站问题通常访问者可见，但管理员看不到，除非他们经常分析网站日志。我们全新的网站日志检查会自动化这一流程，并帮助有效解决发现的问题。',
    'promoMore' => '了解更多',
    'promoButton' => '知道了！',
    'checkEnabledTitle' => '自动检查开启',
    'checkDisabledTitle' => '自动检查关闭',
    'disabledDescription' => '启用以自动检测可能导致网站不可用或导致其错误操作的问题。',
    'websitesAllChecked' => '{count, plural, other {# 个网站}}进行每日检查。',
    'websitesAllCheckedAt' => '{count, plural, other {# 个网站}}于 %%time%% 时进行每日检查。',
    'websitesChecked' => '%%count%%（共计 %%totalCount%%）个网站进行每日检查',
    'websitesCheckedAt' => '%%count%%（共计 %%totalCount%%）个网站在%%time%%进行每日检查',
    'checkedWebsites' => '已检查的网站列表',
    'lastCheckDescription' => '上次检查花费了%%duration%%分钟。',
    'durationLess' => '小于 0.1',
    'month0' => '一月 %%date%%',
    'month1' => '二月 %%date%%',
    'month2' => '三月 %%date%%',
    'month3' => '四月 %%date%%',
    'month4' => '五月 %%date%%',
    'month5' => '六月 %%date%%',
    'month6' => '七月 %%date%%',
    'month7' => '八月 %%date%%',
    'month8' => '九月 %%date%%',
    'month9' => '十月 %%date%%',
    'month10' => '十一月 %%date%%',
    'month11' => '十二月 %%date%%',
    'export' => '导出报告到CSV',
    'buttonRun' => '运行手动检查',
    'buttonRunDescription' => '重新检查已修复的网站或发现在上次检查中没有出现的问题。',

    'websites.title' => '要检查的网站',
    'websites.description' => '选定%%selected%%（共计%%total%%）个网站',
    'websites.search' => '查找网站...',
    'websites.new' => '所有新创建的网站',
    'websites.newHint' => '选择以自动开始检查所有新的网站。',
    'websites.existing' => '所有现有网站',
    'websites.buttonSave' => '保存',
    'websites.buttonCancel' => '取消',
    'websites.updateSuccess' => '设置已更新',

    'tabs.problemDetails' => '问题详情',
    'tabs.affectedWebsites' => '受影响的网站',

    'chart.requests' => '请求',
    'chart.errors' => '错误',

    'affected-websites.selected' => '选定%%selectedCount%%（共计%%totalCount%%）个网站',
    'affected-websites.none' => '无',
    'affected-websites.all' => '所有',
    'affected-websites.searchForWebsite' => '搜索网站',
    'affected-websites.websites' => '网站',
    'affected-websites.showProblemDetails' => '显示问题详情',

    'problem-report.domainTitle' => '%%domain%%上已报告的问题',
    'problem-report.cumulativeTitle' => '{count, plural, other {# 个网站}}上已报告的问题',
    'problem-report.serverwideTitle' => '已报告的服务器范围的问题',
    'problem-report.problemAppearsOn' => '共计在{count, plural, other {# 个网站}}上出现问题',
    'problem-report.seeTheConsolidatedReport' => '参见合并报告',
    'problem-report.cause' => '根源',
    'problem-report.possibleSolutions' => '可能的解决方案',
    'problem-report.useAnOption' => '使用可实现自动化解决方案的选项',
    'problem-report.repairTheWebsite' => '修复网站',
    'problem-report.selectAndRepair' => '选择并修复几个网站',
    'problem-report.distributionOfTheProblem' => '问题随时间变化的分布情况',
    'problem-report.serverTimezone' => '服务器时区 (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => '您的时区 (UTC%%utcShift%%)',
    'problem-report.logEntries' => '指示此问题的日志条目示例',
    'problem-report.pleaseKeepInMind' => '注意：Plesk不断地循环日志，并最终将存档或删除上述日志条目。',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—我们建议在每次修复尝试后都使用。',
    'problem-report.recheckWebsite' => '手动重新检查网站',
    'problem-report.option' => '选项 %%number%%：',
    'problem-report.recommended' => '推荐',
    'problem-report.numberOfEntries' => '条目数',
    'problem-report.logEntry' => '日志条目',
    'problem-report.logFile' => '日志文件',
    'problem-report.openWebsiteLogs' => '打开网站日志',
    'problem-report.thisIsServerWideProblem' => '这是影响所有托管网站的服务器范围的问题',
    'problem-report.serverWideTitle' => '已报告的服务器范围的问题',
    'problem-report.checkDetectedIssue' => '检查已检测到该问题（服务器时区 - UTC%%timezone%%）：',
    'problem-report.todayAt' => '今日 %%time%%',
    'problem-report.yesterdayAt' => '昨日 %%time%%',
    'problem-report.dateAt' => '%%date%% %%time%%',
    'problem-report.firstProblemTime' => '首次 - %%info%%',
    'problem-report.lastProblemTime' => '末次 - %%info%%',

    'distribution-over-time.title' => '问题随时间变化的分布情况',
    'distribution-over-time.titleYesterday' => '问题随时间变化的分布情况（昨日）',
    'distribution-over-time.titleToday' => '问题随时间变化的分布情况（今日）',
    'distribution-over-time.serverTimezone' => '服务器时区 (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => '您的时区 (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => '我们建议将错误分布图与Monitoring中%%link%%进行比较',
    'distribution-over-time.resourceUsageCharts' => '资源使用图表',
    'distribution-over-time.noDataForRecentTime' => '没有近期的数据。%%suggestion%%',
    'distribution-over-time.pleseEnableRegularCheck' => '启用自动检查或手动检查网站',
    'distribution-over-time.pleseIncludeWebsiteForCheck' => '将网站添加到自动检查或手动检查网站的列表中',
    'distribution-over-time.pleaseWaitUntilRegularCheckWillBeStarted' => '等候直到自动检查开始或进行手动检查网站',
    'distribution-over-time.enableRegularCheck' => '启用自动检查',
    'distribution-over-time.addWebsiteToRegularCheckList' => '将网站添加到自动检查的列表中',
    'distribution-over-time.runManualCheck' => '运行手动检查',

    'report.title' => '关于上次检查的报告',
    'report.groupByWebsites' => '按网站分组',
    'report.groupByProblems' => '按问题',
    'report.columnWebsite' => '网站',
    'report.columnStatus' => '问题',
    'report.columnProblem' => '问题',
    'report.columnAppearedOn' => '检测于',
    'report.serverWideName' => '服务器范围的问题',
    'report.serverWideDescription' => '这些问题会影响整个服务器及其托管的网站。',
    'report.statusProblemsFound' => '找到 %%count%%',
    'report.statusProblemsFoundFull' => '找到{count, plural, other {# 个问题}}',
    'report.statusProblemsSolved' => '消失 %%count%%',
    'report.statusProblemsSolvedFull' => '{count, plural, other {# 个问题}} 消失',
    'report.statusSuccess' => '无问题',
    'report.serverWide' => '整个服务器',
    'report.appearedOn' => '{count, plural, other {# 个网站}}',
    'report.recheckWebsite' => '重新检查网站',
    'report.actionOpen' => '打开',
    'report.actionManage' => '管理',
    'report.actionLogs' => '查看日志',
    'report.searchWebsite' => '查找网站...',
    'report.searchProblem' => '查找问题......',
    'report.groupByProblemsTotal' => '在 {websitesCount, plural, other {# 个网站}} 上 {totalRows, plural, other {# 个问题}}',
    'report.noProblemsTitle' => '在 {websitesCount, plural, other {# 个网站}}上未找到问题',
    'report.noProblemsDescription' => '看起来您的网站保持了良好的状态。做得不错！',

    'problems.columnTitle' => '问题',
    'problems.columnRegular' => '自动检查',
    'problems.columnManual' => '手动检查',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% %%toDate%%',
    'problems.notRun' => '尚未执行',
    'problems.resultDetected' => '检测到',
    'problems.resultNotDetected' => '未检测到',
    'problems.resultNoProblems' => '无问题',

    'new-check.title' => '手动检查',
    'new-check.titleForWebsite' => '手动检查 %%website%%',
    'new-check.titleRunning' => '手动检查 {count, plural, other {# 个网站}}',
    'new-check.description' => '选定%%selected%%（共计%%total%%）个网站',
    'new-check.depth' => '检查时段',
    'new-check.checkTheLast' => '检查最后一个',
    'new-check.selectHours' => '小时',
    'new-check.selectMinutes' => '分钟',
    'new-check.ifYouHaveAnyProblemActivities' => '如果您试图修复网站问题，请设置此尝试之后的时间段。否则，Plesk就可以检测到您已经解决的问题。',
    'new-check.weAlsoRecommendVisiting' => '在运行手动检查之前，我们建议您 %%visitingTheWebsite%%，并尝试复制该问题。',
    'new-check.visitingTheWebsite' => '访问网站',
    'new-check.hours' => '最后几个小时',
    'new-check.websites' => '要检查的网站',
    'new-check.buttonSave' => '检查',
    'new-check.buttonCancel' => '取消',
    'new-check.search' => '查找网站...',
    'new-check.checkProblems' => '网站在上次检查期间的问题',
    'new-check.allWebsites' => '所有网站',
];